<?php
# utf8-marker = äöüß
#
# bpp_pay
# Paypal Payment/Donation Plugin for CMSimple
# 1-11rc6 - 18 May 2017
#

if (!defined('CMSIMPLE_XH_VERSION')) {
    header('HTTP/1.0 403 Forbidden');
    exit;
}

function bpp_pay() {
  GLOBAL $plugin_tx,$plugin_cf,$pth;
$plugin="bpp_pay";
$imagePath = $pth['folder']['plugins'] . $plugin . "/images/";
$bpp_donatenowbtn_img = $imagePath . $plugin_cf['bpp_pay']['btn_img_name_donation'];
$bpp_paynowbtn_img = $imagePath .$plugin_cf['bpp_pay']['btn_img_name_payment'];
$bpp_paypal_img = $imagePath ."paypal.gif";
$bpp_spacer_img = $imagePath ."spacer.gif";

// Donation Form
if(preg_match("/true/i",$plugin_cf['bpp_pay']['add_top_text_donation'])){$bpp_add_top_text_donation = "<p>".$plugin_tx['bpp_pay']['donation_add_top_text']."</p>";}
else $bpp_add_top_text_donation = "";

if(preg_match("/true/i",$plugin_cf['bpp_pay']['btn_plain_donation'])){ 
$bpp_submit_btn_donation = tag("input class=\"submit\" name=\"submit\" type=\"submit\" value=\"".$plugin_cf['bpp_pay']['submit_text_donation']."\" title=\"".$plugin_tx['bpp_pay']['donation_submit_hint']."\" alt=\"".$plugin_tx['bpp_pay']['donation_submit_hint']." \" ");
}
else if(preg_match("/true/i",$plugin_cf['bpp_pay']['btn_ext_image_donation'])){ 
$bpp_submit_btn_donation = tag("input type=\"image\" src=\"".$plugin_cf['bpp_pay']['btn_url_donation']."\" border=\"0\" name=\"submit\" title=\"".$plugin_tx['bpp_pay']['donation_submit_hint']."\" alt=\"".$plugin_tx['bpp_pay']['donation_submit_hint'] ." \" ");
}
else $bpp_submit_btn_donation = tag("input type=\"image\" src=\"".$bpp_donatenowbtn_img."\" border=\"0\" name=\"submit\" title=\"".$plugin_tx['bpp_pay']['donation_submit_hint']."\" alt=\"".$plugin_tx['bpp_pay']['donation_submit_hint']." \" ");

$bpp_add_donation_form = "<div id=\"bpp_plugin\">".$bpp_add_top_text_donation ."<form action=\"https://www.paypal.com/cgi-bin/webscr\" method=\"post\">"
	.tag("input name=\"cmd\" value=\"_xclick\" type=\"hidden\" ")
	.tag("input name=\"business\" value=\"".$plugin_cf['bpp_pay']['payment_for']."\" type=\"hidden\" ")
	.tag("input name=\"item_name\" value=\"".$plugin_cf['bpp_pay']['payment_donation_name']."\" type=\"hidden\" ")
	.tag("input name=\"no_note\" value=\"1\" type=\"hidden\" ")
	.tag("input name=\"currency_code\" value=\"".$plugin_cf['bpp_pay']['currency']."\" type=\"hidden\" ")
	.tag("input name=\"tax\" value=\"0\" type=\"hidden\" ")
	.tag("input name=\"bn\" value=\"PP-DonationsBF\" type=\"hidden\" ")
	."<table width=\" \" border=\"0\" cellspacing=\"0\" cellpadding=\"0\"><tr><td valign=\"top\">"
    .$plugin_tx['bpp_pay']['donation_amount_text'].":&#160;&#160;" 
	.tag("input class=\"text\" name=\"amount\" value=\"\" style=\"width: 50px;\" type=\"text\" title=\"".$plugin_tx['bpp_pay']['donation_amount_hint']." \" ") 
	."&#160;&#160;<span style=\"font-weight: bold;\">".$plugin_cf['bpp_pay']['currency']."</span>&#160;&#160;&#160;&#160;</td><td valign=\"top\">"
	. $bpp_submit_btn_donation
	."</td></tr></table>"
	."</form></div> ";

// Payment Form
if(preg_match("/true/i",$plugin_cf['bpp_pay']['add_top_text_payment'])){ $bpp_add_top_text_payment = "<p>".$plugin_tx['bpp_pay']['payment_add_top_text']."</p>";}
else $bpp_add_top_text_payment = "";

if(preg_match("/true/i",$plugin_cf['bpp_pay']['btn_plain_payment'])){ 
$bpp_submit_btn_payment = tag("input class=\"submit\" name=\"submit\" type=\"submit\" value=\"".$plugin_cf['bpp_pay']['submit_text_payment']."\" title=\"".$plugin_tx['bpp_pay']['payment_submit_hint']."\" alt=\"".$plugin_tx['bpp_pay']['payment_submit_hint']." \" ");
}
else if(preg_match("/true/i",$plugin_cf['bpp_pay']['btn_ext_image_payment'])){ 
$bpp_submit_btn_payment = tag("input type=\"image\" src=\"".$plugin_cf['bpp_pay']['btn_url_payment']."\" border=\"0\" name=\"submit\" title=\"".$plugin_tx['bpp_pay']['payment_submit_hint']."\" alt=\"".$plugin_tx['bpp_pay']['payment_submit_hint'] ." \" ");
}
else $bpp_submit_btn_payment = tag("input type=\"image\" src=\"".$bpp_paynowbtn_img."\" border=\"0\" name=\"submit\" title=\"".$plugin_tx['bpp_pay']['payment_submit_hint']."\" alt=\"".$plugin_tx['bpp_pay']['payment_submit_hint']." \" ");

$bpp_add_payment_form = "<div id=\"bpp_plugin\">" . $bpp_add_top_text_payment ."<form action=\"https://www.paypal.com/cgi-bin/webscr\" method=\"post\">"
	.tag("input name=\"cmd\" value=\"_xclick\" type=\"hidden\" ")
	.tag("input name=\"business\" value=\"".$plugin_cf['bpp_pay']['payment_for']."\" type=\"hidden\" ")
	.tag("input name=\"currency_code\" value=\"".$plugin_cf['bpp_pay']['currency']."\" type=\"hidden\" ")
	.tag("input name=\"shipping\" value=\"0.00\" type=\"hidden\" ")
	.tag("input name=\"no_shipping\" value=\"1\" type=\"hidden\" ")
	.tag("input name=\"no_note\" value=\"1\" type=\"hidden\" ")
	.tag("input name=\"tax\" value=\"0\" type=\"hidden\" ")
	.tag("input name=\"bn\" value=\"PP-BuyNowBF\" type=\"hidden\" ")
	."<table width=\"375\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\" >
	<tr>
    <td width=\"100\" valign=\"middle\" align=\"left\">".$plugin_tx['bpp_pay']['payment_title_text']."&#160;</td>
    <td width=\"275\" valign=\"middle\">"
	.tag("input class=\"text\" name=\"item_name\" value=\"".$plugin_cf['bpp_pay']['payment_item_name']."\" style=\"width: 200px;\" type=\"text\" title=\"".$plugin_tx['bpp_pay']['payment_title_hint']." \" ")
	."</td>
	</tr>
	<tr>
    <td>".$plugin_tx['bpp_pay']['payment_amount_text']."&#160;</td>
    <td>"
	.tag("input class=\"text\" name=\"amount\" value=\"".$plugin_cf['bpp_pay']['payment_item_price']."\" style=\"width: 50px;\" type=\"text\" title=\"".$plugin_tx['bpp_pay']['payment_amount_hint']." \" ")
	."&#160;&#160;<span style=\"font-weight: bold;\">".$plugin_cf['bpp_pay']['currency']."</span></td>
	</tr>
	<tr>
    <td colspan=\"2\">".tag('img width="25" height="16" hspace="0" vspace="0" border="0" src="'.$bpp_spacer_img.'"')."</td>
	</tr>
	<tr>
    <td valign=\"middle\" align=\"left\" colspan=\"2\">"
	. $bpp_submit_btn_payment
	."</td></tr>"
	."</table></form>"
	."</div>";
	
//Payment Button
$bpp_add_payment_btn = "<div id=\"bpp_plugin\"><form action=\"https://www.paypal.com/cgi-bin/webscr\" method=\"post\">"	
	.tag("input name=\"cmd\" value=\"_xclick\" type=\"hidden\" ")
	.tag("input name=\"business\" value=\"".$plugin_cf['bpp_pay']['payment_for']."\" type=\"hidden\" ")
	.tag("input name=\"item_name\" value=\"".$plugin_cf['bpp_pay']['payment_item_name']."\" type=\"hidden\" ")
	.tag("input name=\"amount\" value=\"".$plugin_cf['bpp_pay']['payment_item_price']."\" type=\"hidden\" ")
	.tag("input name=\"currency_code\" value=\"".$plugin_cf['bpp_pay']['currency']."\" type=\"hidden\" ")
	.tag("input name=\"shipping\" value=\"0.00\" type=\"hidden\" ")
	.tag("input name=\"no_shipping\" value=\"1\" type=\"hidden\" ")
	.tag("input name=\"no_note\" value=\"1\" type=\"hidden\" ")
	.tag("input name=\"tax\" value=\"0\" type=\"hidden\" ")
	.tag("input name=\"bn\" value=\"PP-BuyNowBF\" type=\"hidden\" ")
	. $bpp_submit_btn_payment
	."</form></div>";

if (preg_match("/true/i",$plugin_cf['bpp_pay']['add_donation'])) 
return $bpp_add_donation_form;
else if (preg_match("/true/i",$plugin_cf['bpp_pay']['add_item_payment'])) 
return $bpp_add_payment_btn;
else 
return $bpp_add_payment_form;
}
?>
